package com.zhentao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 优惠券表
 * @TableName coupon
 */
@TableName(value ="coupon")
@Data
public class Coupon implements Serializable {
    /**
     * 优惠券ID
     */
    @TableId
    private Long couponId;

    /**
     * 优惠券码
     */
    private String couponCode;

    /**
     * 优惠券类型(1:满减券,2:折扣券,3:无门槛券)
     */
    private Integer couponType;

    /**
     * 优惠金额
     */
    private BigDecimal discountAmount;

    /**
     * 折扣率(如0.9表示9折)
     */
    private BigDecimal discountRate;

    /**
     * 最低使用金额
     */
    private BigDecimal minAmount;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
