package com.zhentao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 订单表
 * @TableName user_order
 */
@TableName(value ="user_order")
@Data
public class UserOrder implements Serializable {
    /**
     * 订单id
     */
    @TableId
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 订单总金额
     */
    private BigDecimal totalAmount;

    /**
     * 优惠金额
     */
    private BigDecimal discountAmount;

    /**
     * 实付金额
     */
    private BigDecimal actualAmount;

    /**
     * 优惠券ID
     */
    private String couponId;

    /**
     * 订单状态(1:待支付,2:已支付,3:已发货,4:已完成,5:已取消)
     */
    private Integer orderStatus;

    /**
     * 支付状态(1:未支付,2:支付中,3:已支付,4:支付失败)
     */
    private Integer paymentStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 支付时间
     */
    private Date paymentTime;

    /**
     * 发货时间
     */
    private Date deliveryTime;

    /**
     * 完成时间
     */
    private Date completeTime;

    /**
     * 取消时间
     */
    private Date cancelTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
    @TableField(exist = false)
    private OrderShopping orderShopping;
}
